import { jsx } from "react/jsx-runtime";
import { TokenPAI as TokenPAI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenPAI = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "PAI", "data-name": "TokenPAI", ...props, children: /* @__PURE__ */ jsx(TokenPAI$1, { variant }) });
  }
);
TokenPAI.displayName = "TokenPAI";
Object.assign(TokenPAI, { isGdsIcon: true });
export {
  TokenPAI
};
